/*!
    \file  syscalls.h
    \brief syscalls

    Copyright (c) 2003 HigePon
    WITHOUT ANY WARRANTY

    \author  HigePon
    \version $Revision: 1.9 $
    \date   create:2003/03/22 update:$Date: 2003/09/12 13:54:59 $
*/
#ifndef _MONA_SYSCALL_
#define _MONA_SYSCALL_

#include <global.h>
#include <userlib.h>

extern "C" void syscall_entrance(void);

#define enter_kernel_lock_mode() {\
    dword eflags = get_eflags();  \
    disableInterrupt();           \

#define exit_kernel_lock_mode() \
         set_eflags(eflags);    \
         }                      \

#endif
